Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kde4 somehow messed up by continuous plasma5 updates?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Sun Apr 17, 2016 2:38 pm    Post subject: kde4 somehow messed up by continuous plasma5 updates? Reply with quote

Am since a while experimenting with plasma5 and continously updating it. Was mostly working.

Now since a while most kde4 based programs seem to give trouble. And I cant make much of it.

System is using:
QT:
4.8.7-r2(4)(01:19:52 17.04.2016)(exceptions glib iconv icu qt3support ssl -aqua -debug -libressl -pch ABI_MIPS="-n32 -n64 -o32" ABI_PPC="-32 -64" ABI_S390="-32 -64" ABI_X86="64 -32 -x32") 5.5.1-r1(5)^t(01:22:25 17.04.2016)(icu -debug -systemd -test)

kde4: 16.03.90
kf5: 5.6.2
kde5apps: 16.03.90

And when I try to run for instance clementine I get:
QEglContext::swapBuffers(): "Bad surface (0x300D)"
and the window stays empty

When I try juK:
using visual class 4, id 2fd
juk(14150): Unable to setup to load cache... perhaps it doesn't exist?
schleusner@core ~> KCrash: Application 'juk' crashing...

When I try amarok even worse:
*** Error in `amarok': realloc(): invalid pointer: 0x00007f5a6c4a1820 ***
======= Backtrace: =========


An it is not limited to media programs. okular also crashed, when I force a recompile for okular-5.9999 it works. As all kf5 programs.

Hmm, something seems to messed up. Does anyone know what? Is there a way to recompile everything kde4 related? I cant seem to find a fitting set.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sun Apr 17, 2016 4:02 pm    Post subject: Reply with quote

It is hard to tell... in any case, Plasma-5 is not involved here, but maybe something is missing / was removed during the upgrade process. Does revdep-rebuild bring anything up? Do you have kdebase-runtime-meta installed? It contains runtime dependencies for a KDE4 desktop / applications.

Does it actually help when you rebuild juk or clementine?

Do you use prelink?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Sun Apr 17, 2016 5:53 pm    Post subject: Reply with quote

Quote:
Does revdep-rebuild bring anything up?


Nope, I run that after each update.

Quote:
Do you have kdebase-runtime-meta installed?


Yes, version 16.03.90

Quote:
Does it actually help when you rebuild juk or clementine?


Nope, done several times both with the git-master version as well as normal testing or stable.

Quote:
Do you use prelink?


Installed versions: 20130503(23:28:55 27.10.2015)(-selinux)

I know nothing about it otherwise nor do I do anything explicit with it.

Currently I am trying to recompile everything from qt-* and kde-*. We will see. But I am not sure I hit every dependency.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Mon Apr 18, 2016 8:08 pm    Post subject: Reply with quote

It might be this: https://bugs.gentoo.org/show_bug.cgi?id=579546
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Wed Apr 27, 2016 5:14 pm    Post subject: Reply with quote

In this bug the describe that a prelink -u libraries run did temporarily fix the issue.

I tried prelink -u /usr/lib64/* and /lib64/*, however it does not change anything. Does look like a different bug to me.
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Fri Apr 29, 2016 7:52 pm    Post subject: Reply with quote

After quite some searching and trying I found this thread:
https://forums.gentoo.org/viewtopic-t-947242-start-0.html

As I expected this to have something to do with qt and opengl/egl I have now recompiled

qtopengl:5 and qtcore:5 with +egl (as is forced by the mandatory wayland integration into plasma5)

qtopengl:4 and qtcore:4 explicitly with -egl use flag.

And voila, the nasty
Code:
QEglContext::swapBuffers(): "Bad surface (0x300D)"


bug from clementine and a few other qt:4 progs is gone. Fantastic, seems qt:4 is incompatible and buggy with egl use flag.

Amarok and juk were still crashing, so I recompiled them both with the newly compiled qt-libs. Result juk is fixed, amarok still crashing on the git-master version, but a downgrade to stable and it also works now.

Lesson: -egl required for qt:4, the opposite for qt:5. What a mess.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Fri Apr 29, 2016 8:38 pm    Post subject: Reply with quote

I can't confirm that observation with my systems, which also have USE=egl (and I can't remember a related bug report). Maybe it is a bad combination of flags?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
msst
Apprentice
Apprentice


Joined: 07 Jun 2011
Posts: 213

PostPosted: Tue May 03, 2016 9:59 pm    Post subject: Reply with quote

Possible. I am using the following use flags:

Code:
USE="7zip a52 aac aalib ace acpi alac alsa ao avahi bash-completion bzip2
     ccache cgi clamav cli cn700 colordiff cracklib cups curl daap dane dbus
     domainkeys encode exif exim exiscan exiscan-acl extensions fam fastcgi
     fftw flac ftp gcrypt gd gdbm geoip gif gocr hardened hddtemp iconv id3
     imap imapc inotify ipv6 jbig jpeg jpeg2k kerberos lame lastfm ldap ldns
     libwww lm_sensors logrotate lqr managesieve matroska mng mp3 mpeg
     musepack musicbrainz mysql mysqli mysqlnd ncurses nfs nfsidmap nfsv4
     nfsv41 offensive ogg openrc pcre perl php png python python3 replaygain
     samba sasl sharedext sieve slang speex spell spf sqlite sqlite3 sse2 ssh
     swat syslog taglib tcl threads thumbnail tidy tiff tty-helpers unicode
     usb vorbis wavpack webdav wmf x264 xinetd xml xmlrpc xvid zlib -gnutls"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum